package ru.dbotthepony.mc.otm.core

import net.minecraft.nbt.ByteArrayTag
import net.minecraft.nbt.Tag
import java.math.BigInteger

inline val BigInteger.isZero get() = this == BigInteger.ZERO
inline val BigInteger.isPositive get() = this > BigInteger.ZERO
inline val BigInteger.isNegative get() = this < BigInteger.ZERO

fun BigInteger.serializeNBT(): ByteArrayTag {
	return ByteArrayTag(toByteArray())
}

fun BigInteger(tag: Tag?): BigInteger {
	if (tag !is ByteArrayTag)
		return BigInteger.ZERO

	return BigInteger(tag.asByteArray)
}
